Package org.codehaus.groovy.tools.groovydoc

# Class SimpleGroovyRootDoc

java.lang.Object
org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
org.codehaus.groovy.tools.groovydoc.SimpleGroovyRootDoc

All Implemented Interfaces:
  `Comparable`, `GroovyDoc`, `GroovyDocErrorReporter`, `GroovyRootDoc`

    public class SimpleGroovyRootDoc
    extends SimpleGroovyDoc
    implements GroovyRootDoc

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc

  `ANNOTATION_DEF, CLASS_DEF, ENUM_DEF, INTERFACE_DEF, TRAIT_DEF`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SimpleGroovyRootDoc​(String name)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `GroovyClassDoc[]` | `classes()` |
  `GroovyClassDoc` | `classNamed​(GroovyClassDoc groovyClassDoc, String name)` |
  `GroovyClassDoc` | `classNamedExact​(String name)` |
  `String` | `description()` |
  `Map<String,​GroovyClassDoc>` | `getResolvedClasses()` |
  `Map<String,​GroovyClassDoc>` | `getVisibleClasses​(List importedClassesAndPackages)` |
  `String[][]` | `options()` |
  `GroovyPackageDoc` | `packageNamed​(String packageName)` |
  `void` | `printError​(String arg0)` |
  `void` | `printNotice​(String arg0)` |
  `void` | `printWarning​(String arg0)` |
  `void` | `put​(String packageName, GroovyPackageDoc packageDoc)` |
  `void` | `putAllClasses​(Map<String,​GroovyClassDoc> classes)` |
  `void` | `resolve()` |
  `void` | `setDescription​(String description)` |
  `GroovyClassDoc[]` | `specifiedClasses()` |
  `GroovyPackageDoc[]` | `specifiedPackages()` |
  `String` | `summary()` |

  ### Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc

  `calculateFirstSentence, commentText, compareTo, firstSentenceCommentText, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isScript, isTrait, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setRawCommentText, setScript, setTokenType, tags, tokenType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Comparable

  `compareTo`

  ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc

  `commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText`

- ## Constructor Details

  - ### SimpleGroovyRootDoc

    public SimpleGroovyRootDoc​(String name)

- ## Method Details

  - ### classNamed

    public GroovyClassDoc classNamed​(GroovyClassDoc groovyClassDoc, String name)
    Specified by:
      `classNamed` in interface `GroovyRootDoc`

  - ### classNamedExact

    public GroovyClassDoc classNamedExact​(String name)

  - ### setDescription

    public void setDescription​(String description)

  - ### description

    public String description()

  - ### summary

    public String summary()

  - ### classes

    public GroovyClassDoc[] classes()
    Specified by:
      `classes` in interface `GroovyRootDoc`

  - ### options

    public String[][] options()
    Specified by:
      `options` in interface `GroovyRootDoc`

  - ### packageNamed

    public GroovyPackageDoc packageNamed​(String packageName)
    Specified by:
      `packageNamed` in interface `GroovyRootDoc`

  - ### putAllClasses

    public void putAllClasses​(Map<String,​GroovyClassDoc> classes)

  - ### put

    public void put​(String packageName, GroovyPackageDoc packageDoc)

  - ### specifiedClasses

    public GroovyClassDoc[] specifiedClasses()
    Specified by:
      `specifiedClasses` in interface `GroovyRootDoc`

  - ### specifiedPackages

    public GroovyPackageDoc[] specifiedPackages()
    Specified by:
      `specifiedPackages` in interface `GroovyRootDoc`

  - ### getVisibleClasses

    public Map<String,​GroovyClassDoc> getVisibleClasses​(List importedClassesAndPackages)
    Specified by:
      `getVisibleClasses` in interface `GroovyRootDoc`

  - ### getResolvedClasses

    public Map<String,​GroovyClassDoc> getResolvedClasses()
    Specified by:
      `getResolvedClasses` in interface `GroovyRootDoc`

  - ### printError

    public void printError​(String arg0)
    Specified by:
      `printError` in interface `GroovyDocErrorReporter`

  - ### printNotice

    public void printNotice​(String arg0)
    Specified by:
      `printNotice` in interface `GroovyDocErrorReporter`

  - ### printWarning

    public void printWarning​(String arg0)
    Specified by:
      `printWarning` in interface `GroovyDocErrorReporter`

  - ### resolve

    public void resolve()